Bug 732232 (ledgersmb) - Review Request: ledgersmb - Financial accounting program
Summary: Review Request: ledgersmb - Financial accounting program
Keywords:
Status: CLOSED WONTFIX
Alias: ledgersmb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 604005 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 07:11 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-10-15 05:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-15 05:00:40 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-08-21 07:11:43 UTC
Spec URL: http://ankursinha.fedorapeople.org/ledgersmb/ledgersmb.spec
SRPM URL: http://ankursinha.fedorapeople.org/ledgersmb/ledgersmb-1.2.24-1.fc15.src.rpm

Description: 
LedgerSMB is a double-entry accounting system written in perl.
LedgerSMB is a fork of sql-ledger offering better security and data integrity,
and many advanced features.

This package does not work in SELinux restricted mode.

--------------------------------------------------------------------------

Comment 1 Ankur Sinha (FranciscoD) 2011-08-21 07:13:01 UTC
*** Bug 604005 has been marked as a duplicate of this bug. ***

Comment 2 Mads Kiilerich 2011-08-21 20:02:35 UTC
I contributed dists/rpm/ledgersmb.spec upstream a couple of years ago. It would be nice if you could reuse some parts or contribute a better spec upstream.

(I concluded back then that getting a system up and running was so messy and required so much manual work no matter what that there wasn't any benefit from having an 1.x RPM in Fedora. 2.0 should be much better, but it seems like the project has stalled ...)

(That it doesn't work with SELinux is IMHO not a SELinux bug but an indication that the inherited code-base is insecure by design.)

Comment 3 Ankur Sinha (FranciscoD) 2011-08-25 14:05:36 UTC
(In reply to comment #2)
> I contributed dists/rpm/ledgersmb.spec upstream a couple of years ago. It would
> be nice if you could reuse some parts or contribute a better spec upstream.
> 
> (I concluded back then that getting a system up and running was so messy and
> required so much manual work no matter what that there wasn't any benefit from
> having an 1.x RPM in Fedora. 2.0 should be much better, but it seems like the
> project has stalled ...)
> 
> (That it doesn't work with SELinux is IMHO not a SELinux bug but an indication
> that the inherited code-base is insecure by design.)

Hello Mads,

I referred Rakesh's spec from the older review ticket (#604005). I think he referred yours since the build section etc look similar. :)

Thanks, 
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2011-10-15 05:00:40 UTC
Hi,

I'm not working on -medical related packages anymore and will not be pursuing this review ticket. If someone else wishes to take up the review, please open a new ticket. 

Thanks,
Ankur


Note You need to log in before you can comment on or make changes to this bug.